#!/bin/sh

# ensure the /tmp dir is clean
rm -Rf /tmp/fruux.prefPane &&

# download and expand the zip file into /tmp
ditto -x -k - /tmp &&

# change ownership to the original pref pane directory
chown -R `stat -f '%Su:%Sg' ${1%/*}` /tmp/fruux.prefPane &&

# remove the original pref pane
rm -Rf $1.prefPane &&

# move the downloaded pref pane to the original directory
mv /tmp/fruux.prefPane $1.prefPane &&

# bump the System Preferences if it is running
# NOTE: after quitting we need to delay until quit is done, otherwise we will lose the connection
osascript $1.prefPane/Contents/Resources/ReopenPreferences.scpt
